[jbpm-commits] JBoss JBPM SVN: r3668 - jbpm3/trunk/hudson/jboss/bin.

do-not-reply at jboss.org do-not-reply at jboss.org
Mon Jan 19 04:07:42 EST 2009


Author: thomas.diesler at jboss.com
Date: 2009-01-19 04:07:42 -0500 (Mon, 19 Jan 2009)
New Revision: 3668

Modified:
   jbpm3/trunk/hudson/jboss/bin/http-spider.sh
Log:
check whether wget is installed

Modified: jbpm3/trunk/hudson/jboss/bin/http-spider.sh
===================================================================
--- jbpm3/trunk/hudson/jboss/bin/http-spider.sh	2009-01-19 07:06:19 UTC (rev 3667)
+++ jbpm3/trunk/hudson/jboss/bin/http-spider.sh	2009-01-19 09:07:42 UTC (rev 3668)
@@ -19,17 +19,23 @@
 NUM_RETRIES=18 		# equals 180 seconds before exit
 
 if [ "x$1" = "x" ]; then
-	echo "Usage: http.sh <hostname:port> <output_dir>"		
+	echo "Usage: http-spider.sh <hostname:port> <output_dir>"		
 fi
 
 if [ "x$2" = "x" ]; then
-        echo "Usage: http.sh <hostname:port> <output_dir>"
+        echo "Usage: http-spider.sh <hostname:port> <output_dir>"
 fi
 
 # cleanup
 rm $2/spider.success 2&>1 /dev/null
 rm $2/spider.failed 2&>1 /dev/null
 
+which wget > /dev/null
+WGET_EXISTS=$?
+if [ $WGET_EXISTS -ne 0 ]; then
+   exit 1
+fi
+
 COUNTER=0
 while [  $COUNTER -lt $NUM_RETRIES ]; do
 	if wget --spider --timeout=$TIMEOUT --tries=1 $1 &> /dev/null; then




More information about the jbpm-commits mailing list